package MyRobot;

use strict;
use Telnet;
#use warnings;
#use Carp;

use vars qw(@EXPORT @ISA @EXPORT_OK @VERSION);
require Exporter;
@ISA = qw(Exporter);
@EXPORT_OK = qw(talk2robot);
@EXPORT = @EXPORT_OK;
@VERSION = '0.90';

sub talk2robot {
	my ($ref_cmd) = @_;
	
### UpdateHere ###
	my $ROBOT_PASS = "password";
	my $ROBOT_IP = "192.168.1.2";
	my $ROBOT_PORT = 12345;
	my $ROBOT_LOG = "robot.log";

	my $fn = new IO::File;
	my @result;
	my ($line, $nowstr, $cmd);

	open ($fn, ">>$ROBOT_LOG");
	$nowstr = localtime;
	printf $fn "### >> $nowstr\n\n";

	my $host = Net::Telnet->new (
		Telnetmode => 0,
		Errmode => "return",
		Host => $ROBOT_IP,
		Port => $ROBOT_PORT,
		Dump_log => $fn,
		Prompt => '/>> $/',
		Timeout => 120);

	@result=$host->cmd("$ROBOT_PASS");

	foreach $cmd (@$ref_cmd) {
		printf $fn "++ BAN_IP $cmd\n\n";

		@result=$host->cmd(String => "BAN_IP $cmd", Timeout => 120);

		$line = $host->errmsg;
		printf $fn "== $line\n";

		foreach $line (@result) {
			printf $fn "-- $line\n";
		}
	}
	$host->print("exit");
	$host->close;

	close($fn);
}

